Bug 251836 - x11-wm/plasma5-kwin: freezes with iris (Intel Gen8+)
Summary: x11-wm/plasma5-kwin: freezes with iris (Intel Gen8+)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: regression
Depends on:
Blocks: 250307
  Show dependency treegraph
 
Reported: 2020-12-14 15:18 UTC by Roman
Modified: 2021-01-03 18:34 UTC (History)
9 users (show)

See Also:
manu: maintainer-feedback+
jbeich: maintainer-feedback? (kde)


Attachments
Disable KWIN_USE_BUFFER_AGE (workaround) (1.47 KB, patch)
2020-12-16 16:11 UTC, Jan Beich
jbeich: maintainer-approval? (kde)
Details | Diff
Exclude GLX_EXT_buffer_age on iris under kwin_x11 (workaround) (1.87 KB, patch)
2020-12-16 19:30 UTC, Jan Beich
no flags Details | Diff
Exclude GLX_EXT_buffer_age on iris under kwin_x11 (workaround), v2 (2.24 KB, patch)
2020-12-16 19:56 UTC, Jan Beich
jbeich: maintainer-approval? (x11)
manu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman 2020-12-14 15:18:13 UTC
Hello everybody! I have a problem loading Plasma 5 after updating the Mesa port to version 20.2.3. Don't know, there is a problem with Mesa or xf86-video-intel. But after updating Mesa, kwin_x11 hangs and i can`t enable OpenGL effects.
Usually, I have used modsetting driver. But it hangs now. After this I try to use Intel driver. And it works normaly. But if I try last revision of xf86-video-intel (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251588) I getting the same problem - Plasma 5 hangs on startup.
Comment 1 Jan Beich freebsd_committer 2020-12-14 16:52:39 UTC
Which kernel version and GPU is affected? -CURRENT and *lake onward are well-represented. For example, Iris on Skylake works fine inside 11.4 i386 jail on -CURRENT amd64 host.

Do you see any errors from kernel, Xorg or Kwin when the hang occurs? Try running "glxgears -info" to check DRI doesn't silently fall back to llvmpipe (glitch magnet).

Does installing graphics/mesa-devel help? It doesn't provide llvmpipe, so a GL app would either use iris/i965 or crash.
Comment 2 oleg.nauman 2020-12-14 18:04:22 UTC
I had the same issue with KDE Plasma5 after updating of mesa ports to 20.2.3, 

cp /usr/local/share/drirc.d/00-mesa-defaults.conf ~/.drirc

fixed my issue with OpenGL compositing in KDE Plasma 5


Some technical details:
Current 13.0 amd64 
modeset(0): glamor X acceleration enabled on Mesa Intel(R) UHD Graphics 620 (KBL GT2) ( Kaby Lake )
modeset(0): [DRI2] Setup complete
modeset(0): [DRI2]   DRI driver: iris
modeset(0): [DRI2]   VDPAU driver: va_gl


Xorg.log diff after "the fix"

# diff -u Xorg.0.log.iris Xorg.0.log
--- Xorg.0.log.iris     2020-12-07 17:33:31.728843000 +0200
+++ Xorg.0.log  2020-12-07 17:33:48.154574000 +0200
@@ -11,7 +11,7 @@
  Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
- (==) Log file: "/var/log/Xorg.0.log", Time: Mon Dec  7 13:13:48 2020
+ (==) Log file: "/var/log/Xorg.0.log", Time: Mon Dec  7 17:01:14 2020
  (==) Using config directory: "/usr/local/etc/X11/xorg.conf.d"
  (==) Using system config directory "/usr/local/share/X11/xorg.conf.d"
  (==) No Layout section.  Using the first Screen section.
@@ -391,9 +391,6 @@
  (**) Logitech USB Receiver: (accel) acceleration threshold: 4
  (II) event5  - Logitech USB Receiver, class 0/0, rev 2.00/22.01, addr 1: is tagged by udev as: Mouse
  (II) event5  - Logitech USB Receiver, class 0/0, rev 2.00/22.01, addr 1: device is a pointer
- (II) modeset(0): EDID vendor "AUO", prod id 14573
- (II) modeset(0): Printing DDC gathered Modelines:
- (II) modeset(0): Modeline "1920x1080"x0.0  142.00  1920 2028 2076 2100  1080 1090 1100 1126 -hsync -vsync (67.6 kHz eP)
  (II) modeset(0): EDID vendor "AUO", prod id 14573
  (II) modeset(0): Printing DDC gathered Modelines:
  (II) modeset(0): Modeline "1920x1080"x0.0  142.00  1920 2028 2076 2100  1080 1090 1100 1126 -hsync -vsync (67.6 kHz eP)


I suspect that KDE Plasma 5 expect some hints from mesa, but due to unknown reasons iris driver can not get them from /usr/local/share/drirc.d/00-mesa-defaults.conf
Comment 3 Jan Beich freebsd_committer 2020-12-14 19:32:40 UTC
(In reply to oleg.nauman from comment #2)
> Current 13.0 amd64

What revision? -CURRENT is a moving target, sometimes regressions pop up and fixed. For example, livelock affecting graphical sessions and not always reproducible may remain unfixed for ~1 month.

> cp /usr/local/share/drirc.d/00-mesa-defaults.conf ~/.drirc
> fixed my issue with OpenGL compositing in KDE Plasma 5

Did you have ~/.drirc before this? For example, mesa_glthread may work differently between i965 and iris.

Unless some other apps or compositors are affected this maybe a bug in KDE. ;)
Comment 4 oleg.nauman 2020-12-14 20:01:48 UTC
(In reply to Jan Beich from comment #3)

a ) FreeBSD 13.0-CURRENT r368375 Sun Dec  6 08:03:22 EET 2020
b ) No I didn't have ~/.drirc

Yes it possible that it is bug in KDE but it possible also that KDE bug was masked by some mesa hints in mesa-defaults.conf
Comment 5 Jan Beich freebsd_committer 2020-12-14 20:41:42 UTC
(In reply to oleg.nauman from comment #4)
> KDE bug was masked by some mesa hints in mesa-defaults.conf

https://gitlab.freedesktop.org/mesa/mesa/-/commit/a9c36dbf9c56 shouldn't affect Intel GPUs as modesetting(4x) in x11-servers/xorg-server currently lacks https://gitlab.freedesktop.org/xorg/xserver/-/commit/97f858d336a8

Can you check "truss glxgears 2>&1 | fgrep conf" whether defaults are read?

Don't forget to test mesa-devel (as suggested in comment 1) because mesa-{dri,libs} may still have bugs due to legacy cruft or if something related was fixed upstream.
Comment 6 Roman 2020-12-15 09:11:11 UTC
At the moment I cannot show all information about the system with the port xf86-video-intel version 2.99.917.912_1,1, because this is a working machine. But here is the information at which everything works fine. Previously, Horg worked through modesetting, but after updating the mes to version 20.2.3, Plasma 5 stopped loading and I had to switch to xf86-video-intel. However, when I tried to update xf86-video-intel to version 2.99.917.912_1,1 Plasama 5 began to freeze like when using modesetting. The only difference is in the included Iris engine.

% uname -a
FreeBSD vnflaptopmi.makmobile 12.2-RELEASE FreeBSD 12.2-RELEASE r366954 GENERIC  amd64

% pkg info xorg mesa-dri mesa-libs xf86-video-intel drm-kmod drm-fbsd12.0-kmod
xorg-7.7_3
mesa-dri-20.2.3
mesa-libs-20.2.3
xf86-video-intel-2.99.917.912,1
drm-kmod-g20190710
drm-fbsd12.0-kmod-4.16.g20201016

% /var/log/messagaes 
Dec 15 09:46:10 vnflaptopmi kernel: CPU: Intel(R) Core(TM) i7-8550U CPU @ 1.80GHz (1992.10-MHz K8-class CPU)
Dec 15 09:46:10 vnflaptopmi kernel:   Origin="GenuineIntel"  Id=0x806ea  Family=0x6  Model=0x8e  Stepping=10
Dec 15 09:46:10 vnflaptopmi kernel:   Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FX
Dec 15 09:46:10 vnflaptopmi kernel:   Features2=0x7ffafbbf<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,SDBG,FMA,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,
Dec 15 09:46:10 vnflaptopmi kernel:   AMD Features=0x2c100800<SYSCALL,NX,Page1GB,RDTSCP,LM>
Dec 15 09:46:10 vnflaptopmi kernel:   AMD Features2=0x121<LAHF,ABM,Prefetch>
Dec 15 09:46:10 vnflaptopmi kernel:   Structured Extended Features=0x29c67af<FSGSBASE,TSCADJ,SGX,BMI1,AVX2,SMEP,BMI2,ERMS,INVPCID,NFPUSG,MPX,RDSEED,ADX,S
Dec 15 09:46:10 vnflaptopmi kernel:   Structured Extended Features3=0xc000000<IBPB,STIBP>
Dec 15 09:46:10 vnflaptopmi kernel:   XSAVE Features=0xf<XSAVEOPT,XSAVEC,XINUSE,XSAVES>
Dec 15 09:46:10 vnflaptopmi kernel:   VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID
Dec 15 09:46:10 vnflaptopmi kernel:   TSC: P-state invariant, performance statistics
Dec 15 09:46:10 vnflaptopmi kernel: real memory  = 17179869184 (16384 MB)
Dec 15 09:46:10 vnflaptopmi kernel: avail memory = 16471121920 (15708 MB)

% /var/log/Xorg.0.log
[    25.327] (II) intel(0): SNA initialized with Kabylake (gen9) backend
[    25.327] (==) intel(0): Backing store enabled
[    25.327] (==) intel(0): Silken mouse enabled
[    25.328] (II) intel(0): HW Cursor enabled
[    25.328] (==) intel(0): DPMS enabled
[    25.328] (==) intel(0): Display hotplug detection enabled
Comment 7 oleg.nauman 2020-12-15 09:40:59 UTC
(In reply to Jan Beich from comment #5)

I was trying to reproduce this issue again but failed so please ignore my previous info as misleading. It looks like that at some point I accidentally switched KDE Composite mode from Opengl 2.0 to Xrender so "fix" with copy of mesa-defaults.conf  was just coincidence and does not affect anything.
Now I can confirm that KDE Opengl composite mode does not work at all because cause coredump of compositor.
I will try with mesa-devel tomorrow.

Thank you
Comment 8 Gleb Popov freebsd_committer 2020-12-15 10:17:06 UTC
I also started having this problem after last ports upgrade. I believe it is related to the driver, because I also see tearing when scrolling pages in Firefox.

I'm running r366669.
Comment 9 Emmanuel Vadot freebsd_committer 2020-12-15 13:16:22 UTC
Does that work when using modesetting ? (i.e. removing the xf86-video-intel package)
Also I don't know how to start kde, if someone could provide something that I can test here I'd appreciate it.
Comment 10 Gleb Popov freebsd_committer 2020-12-15 13:25:03 UTC
On my machine I don't have xf86-video-intel.

To reproduce the issue with Plasma, put 

exec ck-launch-session startplasma-x11

line into ~/.xinitrc and then use startx to launch the desktop shell. When started, press "Alt+F2", type "compositor" and open a configuration window. In it, I had "Rendering backend" set to "OpenGL 3.1" and it was working fine, but now I have a big blue warning rectangle saying it has crashed the window manager.
Comment 11 Roman 2020-12-15 13:35:50 UTC
I have this problem, like Gleb Popov, after the last update, which included the Mesa update. After that Plasma 5 crashed at boot. Xorg has been configured to use modesetting. Looking for a solution, I installed xf86-video-intel and switched Xorg to use it. This fixed the problem. Launched with the following configuration:
        Driver "intel"
        BusID "PCI: 0: 2: 0"
        Option "VSync" "true"
        Option "DRI" "3"
        Option "TearFree" "true"
        Option "AccelMethod" "sna"
Then I noticed that there was a recent xf86-video-intel update with the default iris engine enabled. I compiled the port with this update, after which Plasma 5 froze like when using modesetting. Apparently the problem has something to do with the use of the iris engine.
Comment 12 Oleksandr Kryvulia 2020-12-15 14:28:02 UTC
After recent port updates I have also ran into this problem. But hint with copying 00-mesa-defaults.conf into home directory solves my problem completely (CURRENT+ KDE + xf86-video-intel).
Comment 13 oleg.nauman 2020-12-16 09:48:07 UTC
(In reply to Jan Beich from comment #5)

 Hello,

mesa-devel exhibits exactly the same behavior as mesa 20.2.3 - attempt to switch KDE Compositor to opengl causing coredump of compositor and graphic susbsystem lockup

Thank you
Comment 14 Jan Beich freebsd_committer 2020-12-16 13:01:12 UTC
(In reply to Gleb Popov from comment #10)
Thanks for the steps. I can reproduce.

  $ kwin_x11
  OpenGL vendor string:                   Intel
  OpenGL renderer string:                 Mesa Intel(R) HD Graphics 530 (SKL GT2)
  OpenGL version string:                  4.6 (Compatibility Profile) Mesa 21.0.0-devel (git-9ac8f8f490d)
  OpenGL shading language version string: 4.60
  Driver:                                 Intel
  GPU class:                              Unknown
  OpenGL version:                         4.6
  GLSL version:                           4.60
  Mesa version:                           21.0
  X server version:                       1.20.10
  Requires strict binding:                yes
  GLSL shaders:                           yes
  Texture NPOT support:                   yes
  Virtual Machine:                        no
  Freeze in OpenGL initialization detected
  Application::crashHandler() called with signal 6; recent crashes: 1
  QSocketNotifier: Invalid socket 10 with type Read, disabling...
  QSocketNotifier: Invalid socket 11 with type Read, disabling...
  The X11 connection broke (error 1). Did the X11 server die?

Current workaround:

  $ cd /usr/local/bin
  $ mv kwin_x11 kwin_x11.orig
  $ cat <<\EOF >kwin_x11
  #! /bin/sh
  export MESA_LOADER_DRIVER_OVERRIDE=i965
  exec kwin_x11.orig "$@"
  EOF
  $ chmod +x kwin_x11
Comment 15 Jan Beich freebsd_committer 2020-12-16 16:11:25 UTC
Created attachment 220627 [details]
Disable KWIN_USE_BUFFER_AGE (workaround)
Comment 16 Gleb Popov freebsd_committer 2020-12-16 17:45:09 UTC
(In reply to Jan Beich from comment #15)
What's the patch needed for? Can't that env variable just set to 0 to make it work?
Comment 17 Jan Beich freebsd_committer 2020-12-16 18:38:26 UTC
(In reply to Gleb Popov from comment #16)
> What's the patch needed for? Can't that env variable just set to 0 to make it work?

MESA_LOADER_DRIVER_OVERRIDE=i965 cannot be used on AMD GPUs as Mesa would fall back to llvmpipe.

Sorry, I don't have experience writing OpenGL apps and don't have another GPU to check why AMD or NVIDIA are not affected. Maybe Kwin fails to handle 1 as buffer age (i.e., "previous swap was implemented as a copy").

All rolling Linux distributions (including Debian Sid) use iris by default, so it's strange why only FreeBSD is affected. I've tried building mesa and kwin with GCC but it didn't help.
Comment 18 Jan Beich freebsd_committer 2020-12-16 19:30:01 UTC
Created attachment 220641 [details]
Exclude GLX_EXT_buffer_age on iris under kwin_x11 (workaround)

Alternative approach. May scale better if other compositors are affected. However, the attached patch would need to be rebased during mesa-21.0.0 update per https://gitlab.freedesktop.org/mesa/mesa/-/commit/580fbbb59a60
Comment 19 Emmanuel Vadot freebsd_committer 2020-12-16 19:34:50 UTC
(In reply to Jan Beich from comment #18)
Thanks,

I think it's easier and cleaner that way.
Comment 20 Jan Beich freebsd_committer 2020-12-16 19:56:17 UTC
Created attachment 220642 [details]
Exclude GLX_EXT_buffer_age on iris under kwin_x11 (workaround), v2

Moved to a separate *.conf file (requested by manu@). Also covers mesa-devel unless built in a standalone mode ( review D25020 with DEFAULT_VERSIONS += gl=mesa-devel).
Comment 21 Charlie Li freebsd_committer 2020-12-17 00:48:48 UTC
Cinnamon (4.8, which I am currently dogfooding and hasn't updated in the tree yet) also exhibits this problem (Broadwell, iris). Applying the GLX_EXT_buffer_age workaround in drirc works.
Comment 22 Tomasz "CeDeROM" CEDRO 2020-12-17 01:17:18 UTC
The same here with x11-wm/enlightenment :-( After sunday's `pkg update; pkg upgrade` and recent reboot the E window manager is useless. However, I am working now fine on x11-wm/xfce4 with no problem !!

FreeBSD 0xCFMX4 12.2-RELEASE-p1 FreeBSD 12.2-RELEASE-p1 GENERIC  amd64

pkg info -d enlightenment
enlightenment-0.24.2,4:
        libxcb-1.14_1
        pango-1.42.4_5
        gtk-update-icon-cache-3.24.24
        gdk-pixbuf2-2.40.0
        glib-2.66.3,1
        gettext-runtime-0.21
        efl-1.25.1
        desktop-file-utils-0.26
        pulseaudio-13.0_2
        atk-2.36.0

% pkg info -d efl          
efl-1.25.1:             
        libxkbcommon-1.0.1                                               
        libxcb-1.14_1
        libXtst-1.2.3_2   
        libXrender-0.9.10_2
        libXrandr-1.5.2
        libXinerama-1.1.4_2,1
        libXi-1.7.10,1            
        libXfixes-5.0.3_2
        libXext-1.3.4,1     
        libXdamage-1.1.5
        libXcursor-1.2.0
        libXcomposite-0.4.5,1
        libXScrnSaver-1.2.3_2
        libX11-1.6.12,1  
        pango-1.42.4_5
        fontconfig-2.13.92_2,1
        scim-1.4.9_6
        libspectre-0.2.9
        harfbuzz-2.7.2_1
        freetype2-2.10.4
        gstreamer1-plugins-core-1.16 
        gstreamer1-plugins-1.16.2_2
        gstreamer1-1.16.2
        shared-mime-info-2.0
        python37-3.7.9_1
        luajit-2.0.5_5
        webp-1.1.0
        wayland-1.18.0_4
        tiff-4.1.0
        poppler-20.11.0
        png-1.6.37
        mesa-libs-20.2.3
        libraw-0.19.5
        jpeg-turbo-2.0.6
        gtk-update-icon-cache-3.24.24
        giflib-5.2.1
        gdk-pixbuf2-2.40.0
        cairo-1.16.0_1,3
        curl-7.73.0
        libunwind-20200331_1
        libepoll-shim-0.0.20200602
        glib-2.66.3,1
        gettext-runtime-0.21
        dbus-1.12.20_3
        bullet-2.86.1_4
        fribidi-1.0.10
        pulseaudio-13.0_2
        libsndfile-1.0.30
        atk-2.36.0

%pkg info -d xfce4-wm
xfce4-wm-4.14.6_2:
        xfce4-conf-4.14.4
        startup-notification-0.12_4
        libxfce4util-4.14.0
        libxfce4menu-4.14.1_2
        libXres-1.2.0_2
        libXrender-0.9.10_2
        libXrandr-1.5.2
        libXpresent-1.0.0
        libXinerama-1.1.4_2,1
        libXi-1.7.10,1
        libXfixes-5.0.3_2
        libXext-1.3.4,1
        libXdamage-1.1.5
        libXcomposite-0.4.5,1
        libX11-1.6.12,1
        libSM-1.2.3,1
        libICE-1.0.10,1
        pango-1.42.4_5
        libwnck3-3.36.0
        gtk3-3.24.24
        libepoxy-1.5.4
        gtk-update-icon-cache-3.24.24
        gdk-pixbuf2-2.40.0
        cairo-1.16.0_1,3
        glib-2.66.3,1
        gettext-runtime-0.21
        atk-2.36.0



[ 23903.131] 
X.Org X Server 1.20.9
X Protocol Version 11, Revision 0
[ 23903.131] Build Operating System: FreeBSD 12.1-RELEASE-p11 amd64 
[ 23903.132] Current Operating System: FreeBSD 0xCFMX4 12.2-RELEASE-p1 FreeBSD 12.2-RELEASE-p1 GENERIC amd64
[ 23903.132] Build Date: 08 December 2020  02:10:24AM
[ 23903.132]  
[ 23903.132] Current version of pixman: 0.40.0
[ 23903.132]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[ 23903.132] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 23903.133] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Dec 17 01:32:46 2020
[ 23903.133] (==) Using system config directory "/usr/local/share/X11/xorg.conf.d"
[ 23903.134] (==) No Layout section.  Using the first Screen section.
[ 23903.134] (==) No screen section available. Using defaults.
[ 23903.134] (**) |-->Screen "Default Screen Section" (0)
[ 23903.134] (**) |   |-->Monitor "<default monitor>"
[ 23903.135] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[ 23903.135] (==) Automatically adding devices
[ 23903.135] (==) Automatically enabling devices
[ 23903.135] (==) Not automatically adding GPU devices
[ 23903.135] (==) Max clients allowed: 256, resource mask: 0x1fffff
[ 23903.135] (==) FontPath set to:
        /usr/local/share/fonts/misc/,
        /usr/local/share/fonts/TTF/,
        /usr/local/share/fonts/OTF/,
        /usr/local/share/fonts/Type1/,
        /usr/local/share/fonts/100dpi/,
        /usr/local/share/fonts/75dpi/,
        catalogue:/usr/local/etc/X11/fontpath.d
[ 23903.136] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[ 23903.136] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[ 23903.136] (II) Loader magic: 0x42f020
[ 23903.136] (II) Module ABI versions:
[ 23903.136]    X.Org ANSI C Emulation: 0.4
[ 23903.136]    X.Org Video Driver: 24.1
[ 23903.136]    X.Org XInput driver : 24.1
[ 23903.136]    X.Org Server Extension : 10.0
[ 23903.136] (--) PCI:*(0@0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[ 23903.136] (II) LoadModule: "glx"
[ 23903.137] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[ 23903.140] (II) Module glx: vendor="X.Org Foundation"
[ 23903.140]    compiled for 1.20.9, module version = 1.0.0
[ 23903.140]    ABI class: X.Org Server Extension, version 10.0
[ 23903.141] (==) Matched intel as autoconfigured driver 0
[ 23903.141] (==) Matched modesetting as autoconfigured driver 1
[ 23903.141] (==) Matched scfb as autoconfigured driver 2
[ 23903.141] (==) Matched vesa as autoconfigured driver 3
[ 23903.141] (==) Assigned the driver to the xf86ConfigLayout
[ 23903.141] (II) LoadModule: "intel"
[ 23903.142] (WW) Warning, couldn't open module intel
[ 23903.142] (EE) Failed to load module "intel" (module does not exist, 0)
[ 23903.142] (II) LoadModule: "modesetting"
[ 23903.142] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[ 23903.142] (II) Module modesetting: vendor="X.Org Foundation"
[ 23903.142]    compiled for 1.20.9, module version = 1.20.9
[ 23903.142]    Module class: X.Org Video Driver
[ 23903.142]    ABI class: X.Org Video Driver, version 24.1
[ 23903.143] (II) LoadModule: "scfb"
[ 23903.143] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[ 23903.143] (II) Module scfb: vendor="X.Org Foundation"
[ 23903.143]    compiled for 1.20.9, module version = 0.0.5
[ 23903.143]    ABI class: X.Org Video Driver, version 24.1
[ 23903.143] (II) LoadModule: "vesa"
[ 23903.144] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[ 23903.144] (II) Module vesa: vendor="X.Org Foundation"
[ 23903.144]    compiled for 1.20.9, module version = 2.5.0
[ 23903.144]    Module class: X.Org Video Driver
[ 23903.144]    ABI class: X.Org Video Driver, version 24.1
[ 23903.144] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[ 23903.144] (II) scfb: driver for wsdisplay framebuffer: scfb
[ 23903.144] (II) VESA: driver for VESA chipsets: vesa
[ 23903.145] (--) Using syscons driver with X support (version 2.0)
[ 23903.145] (--) using VT number 9

[ 23903.195] (**) modeset(0): claimed PCI slot 0@0:2:0
[ 23903.195] (II) modeset(0): using default device
[ 23903.195] (WW) Falling back to old probe method for scfb
[ 23903.195] scfb trace: probe start
[ 23903.195] scfb trace: probe done
[ 23903.195] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 23903.196] (II) modeset(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[ 23903.196] (==) modeset(0): Depth 24, (==) framebuffer bpp 32
[ 23903.196] (==) modeset(0): RGB weight 888
[ 23903.196] (==) modeset(0): Default visual is TrueColor
[ 23903.196] (II) Loading sub module "glamoregl"
[ 23903.196] (II) LoadModule: "glamoregl"
[ 23903.196] (II) Loading /usr/local/lib/xorg/modules/libglamoregl.so
[ 23903.221] (II) Module glamoregl: vendor="X.Org Foundation"
[ 23903.221]    compiled for 1.20.9, module version = 1.0.1
[ 23903.221]    ABI class: X.Org ANSI C Emulation, version 0.4
[ 23903.411] (II) modeset(0): glamor X acceleration enabled on Mesa Intel(R) HD Graphics 5500 (BDW GT2)
[ 23903.411] (II) modeset(0): glamor initialized
[ 23903.414] (II) modeset(0): Output eDP-1 has no monitor section
[ 23903.444] (II) modeset(0): Output HDMI-1 has no monitor section
[ 23903.444] (II) modeset(0): Output DP-1 has no monitor section
[ 23903.447] (II) modeset(0): EDID for output eDP-1
[ 23903.447] (II) modeset(0): Manufacturer: JDI  Model: 1402  Serial#: 16843009
[ 23903.447] (II) modeset(0): Year: 2016  Week: 12
[ 23903.447] (II) modeset(0): EDID Version: 1.4
[ 23903.447] (II) modeset(0): Digital Display Input
[ 23903.447] (II) modeset(0): 8 bits per channel
[ 23903.447] (II) modeset(0): Digital interface is DisplayPort
[ 23903.447] (II) modeset(0): Max Image Size [cm]: horiz.: 28  vert.: 16
[ 23903.447] (II) modeset(0): Gamma: 2.20
[ 23903.447] (II) modeset(0): No DPMS capabilities specified
[ 23903.447] (II) modeset(0): Supported color encodings: RGB 4:4:4 
[ 23903.447] (II) modeset(0): First detailed timing is preferred mode
[ 23903.447] (II) modeset(0): Preferred mode is native pixel format and refresh rate
[ 23903.447] (II) modeset(0): redX: 0.641 redY: 0.329   greenX: 0.294 greenY: 0.607
[ 23903.447] (II) modeset(0): blueX: 0.151 blueY: 0.059   whiteX: 0.313 whiteY: 0.329
[ 23903.447] (II) modeset(0): Manufacturer's mask: 0
[ 23903.447] (II) modeset(0): Supported standard timings:
[ 23903.447] (II) modeset(0): #0: hsize: 1920  vsize 1080  refresh: 60  vid: 49361
[ 23903.447] (II) modeset(0): Supported detailed timing:
[ 23903.447] (II) modeset(0): clock: 138.5 MHz   Image Size:  277 x 156 mm
[ 23903.447] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[ 23903.447] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[ 23903.447] (II) modeset(0): Supported detailed timing:
[ 23903.447] (II) modeset(0): clock: 92.3 MHz   Image Size:  277 x 156 mm
[ 23903.447] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[ 23903.447] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[ 23903.447] (II) modeset(0): Monitor name: LAM125M007D
[ 23903.447] (II) modeset(0): Serial No: K6C0308223
[ 23903.447] (II) modeset(0): EDID (in hex):
[ 23903.447] (II) modeset(0):   00ffffffffffff002889021401010101
[ 23903.447] (II) modeset(0):   0c1a0104a51c10780216c5a4544b9b26
[ 23903.447] (II) modeset(0):   0f5054000000d1c00101010101010101
[ 23903.447] (II) modeset(0):   0101010101011a3680a070381f403020
[ 23903.447] (II) modeset(0):   3500159c10000018112480a070381f40
[ 23903.447] (II) modeset(0):   30203500159c10000018000000fc004c
[ 23903.447] (II) modeset(0):   414d3132354d303037440a20000000ff
[ 23903.447] (II) modeset(0):   004b3643303330383232330a202000d6
[ 23903.448] (II) modeset(0): Printing probed modes for output eDP-1
[ 23903.448] (II) modeset(0): Modeline "1920x1080"x59.9  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[ 23903.448] (II) modeset(0): Modeline "1920x1080"x40.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[ 23903.448] (II) modeset(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1600x900"x120.0  246.00  1600 1728 1900 2200  900 901 904 932 doublescan -hsync +vsync (111.8 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1600x900"x119.9  186.50  1600 1624 1640 1680  900 901 904 926 doublescan +hsync -vsync (111.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1600x900"x59.9  118.25  1600 1696 1856 2112  900 903 908 934 -hsync +vsync (56.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1600x900"x59.8   97.50  1600 1648 1680 1760  900 903 908 926 +hsync -vsync (55.4 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1400x900"x60.0  103.50  1400 1480 1624 1848  900 903 913 934 -hsync +vsync (56.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1400x900"x59.9   86.50  1400 1448 1480 1560  900 903 913 926 +hsync -vsync (55.4 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1440x810"x120.0  198.12  1440 1548 1704 1968  810 811 814 839 doublescan -hsync +vsync (100.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1440x810"x119.9  151.88  1440 1464 1480 1520  810 811 814 833 doublescan +hsync -vsync (99.9 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1368x768"x59.9   85.25  1368 1440 1576 1784  768 771 781 798 -hsync +vsync (47.8 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1368x768"x59.9   72.25  1368 1416 1448 1528  768 771 781 790 +hsync -vsync (47.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x800"x120.0  174.25  1280 1380 1516 1752  800 801 804 829 doublescan -hsync +vsync (99.5 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x800"x119.9  134.25  1280 1304 1320 1360  800 801 804 823 doublescan +hsync -vsync (98.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x720"x120.0  156.12  1280 1376 1512 1744  720 721 724 746 doublescan -hsync +vsync (89.5 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x720"x120.0  120.75  1280 1304 1320 1360  720 721 724 740 doublescan +hsync -vsync (88.8 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1280x720"x59.7   63.75  1280 1328 1360 1440  720 723 728 741 +hsync -vsync (44.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x768"x120.1  133.47  1024 1100 1212 1400  768 768 770 794 doublescan -hsync +vsync (95.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x720"x120.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "928x696"x120.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[ 23903.448] (II) modeset(0): Modeline "896x672"x120.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x576"x119.9   98.50  1024 1092 1200 1376  576 577 580 597 doublescan -hsync +vsync (71.6 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x576"x119.9   78.38  1024 1048 1064 1104  576 577 580 592 doublescan +hsync -vsync (71.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x576"x59.9   46.50  1024 1064 1160 1296  576 579 584 599 -hsync +vsync (35.9 kHz d)
[ 23903.448] (II) modeset(0): Modeline "1024x576"x59.8   42.00  1024 1072 1104 1184  576 579 584 593 +hsync -vsync (35.5 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x600"x119.9   96.62  960 1028 1128 1296  600 601 604 622 doublescan -hsync +vsync (74.6 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x600"x120.0   77.00  960 984 1000 1040  600 601 604 617 doublescan +hsync -vsync (74.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x540"x119.9   86.50  960 1024 1124 1288  540 541 544 560 doublescan -hsync +vsync (67.2 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x540"x120.0   69.25  960 984 1000 1040  540 541 544 555 doublescan +hsync -vsync (66.6 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x540"x59.6   40.75  960 992 1088 1216  540 543 548 562 -hsync +vsync (33.5 kHz d)
[ 23903.448] (II) modeset(0): Modeline "960x540"x59.8   37.25  960 1008 1040 1120  540 543 548 556 +hsync -vsync (33.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "800x600"x120.0   81.00  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (75.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[ 23903.448] (II) modeset(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[ 23903.448] (II) modeset(0): Modeline "840x525"x120.0   73.12  840 892 980 1120  525 526 529 544 doublescan -hsync +vsync (65.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "840x525"x119.8   59.50  840 864 880 920  525 526 529 540 doublescan +hsync -vsync (64.7 kHz d)
[ 23903.448] (II) modeset(0): Modeline "864x486"x59.9   32.50  864 888 968 1072  486 489 494 506 -hsync +vsync (30.3 kHz d)
[ 23903.448] (II) modeset(0): Modeline "864x486"x59.6   30.50  864 912 944 1024  486 489 494 500 +hsync -vsync (29.8 kHz d)
[ 23903.448] (II) modeset(0): Modeline "700x525"x120.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[ 23903.448] (II) modeset(0): Modeline "800x450"x119.9   59.12  800 848 928 1056  450 451 454 467 doublescan -hsync +vsync (56.0 kHz d)
[ 23903.448] (II) modeset(0): Modeline "800x450"x119.6   48.75  800 824 840 880  450 451 454 463 doublescan +hsync -vsync (55.4 kHz d)
[ 23903.448] (II) modeset(0): Modeline "640x512"x120.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[ 23903.449] (II) modeset(0): Modeline "700x450"x119.9   51.75  700 740 812 924  450 451 456 467 doublescan -hsync +vsync (56.0 kHz d)
[ 23903.449] (II) modeset(0): Modeline "700x450"x119.8   43.25  700 724 740 780  450 451 456 463 doublescan +hsync -vsync (55.4 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x480"x120.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "720x405"x59.5   22.50  720 744 808 896  405 408 413 422 -hsync +vsync (25.1 kHz d)
[ 23903.449] (II) modeset(0): Modeline "720x405"x59.0   21.75  720 768 800 880  405 408 413 419 +hsync -vsync (24.7 kHz d)
[ 23903.449] (II) modeset(0): Modeline "684x384"x119.8   42.62  684 720 788 892  384 385 390 399 doublescan -hsync +vsync (47.8 kHz d)
[ 23903.449] (II) modeset(0): Modeline "684x384"x119.7   36.12  684 708 724 764  384 385 390 395 doublescan +hsync -vsync (47.3 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x400"x119.8   41.75  640 676 740 840  400 401 404 415 doublescan -hsync +vsync (49.7 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x400"x120.0   35.50  640 664 680 720  400 401 404 411 doublescan +hsync -vsync (49.3 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x360"x119.7   37.25  640 672 736 832  360 361 364 374 doublescan -hsync +vsync (44.8 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x360"x119.7   31.88  640 664 680 720  360 361 364 370 doublescan +hsync -vsync (44.3 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x360"x59.8   18.00  640 664 720 800  360 363 368 376 -hsync +vsync (22.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "640x360"x59.3   17.75  640 688 720 800  360 363 368 374 +hsync -vsync (22.2 kHz d)
[ 23903.449] (II) modeset(0): Modeline "512x384"x120.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[ 23903.449] (II) modeset(0): Modeline "512x288"x120.0   23.25  512 532 580 648  288 289 292 299 doublescan -hsync +vsync (35.9 kHz d)
[ 23903.449] (II) modeset(0): Modeline "512x288"x119.8   21.00  512 536 552 592  288 289 292 296 doublescan +hsync -vsync (35.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "480x270"x119.3   20.38  480 496 544 608  270 271 274 281 doublescan -hsync +vsync (33.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "480x270"x119.6   18.62  480 504 520 560  270 271 274 278 doublescan +hsync -vsync (33.3 kHz d)
[ 23903.449] (II) modeset(0): Modeline "400x300"x120.6   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[ 23903.449] (II) modeset(0): Modeline "400x300"x112.7   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[ 23903.449] (II) modeset(0): Modeline "432x243"x119.8   16.25  432 444 484 536  243 244 247 253 doublescan -hsync +vsync (30.3 kHz d)
[ 23903.449] (II) modeset(0): Modeline "432x243"x119.1   15.25  432 456 472 512  243 244 247 250 doublescan +hsync -vsync (29.8 kHz d)
[ 23903.449] (II) modeset(0): Modeline "320x240"x120.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "360x202"x119.0   11.25  360 372 404 448  202 204 206 211 doublescan -hsync +vsync (25.1 kHz d)
[ 23903.449] (II) modeset(0): Modeline "360x202"x118.3   10.88  360 384 400 440  202 204 206 209 doublescan +hsync -vsync (24.7 kHz d)
[ 23903.449] (II) modeset(0): Modeline "320x180"x119.7    9.00  320 332 360 400  180 181 184 188 doublescan -hsync +vsync (22.5 kHz d)
[ 23903.449] (II) modeset(0): Modeline "320x180"x118.6    8.88  320 344 360 400  180 181 184 187 doublescan +hsync -vsync (22.2 kHz d)
[ 23903.479] (II) modeset(0): EDID for output HDMI-1
[ 23903.479] (II) modeset(0): Manufacturer: DEL  Model: d070  Serial#: 808997452
[ 23903.479] (II) modeset(0): Year: 2017  Week: 15
[ 23903.479] (II) modeset(0): EDID Version: 1.3
[ 23903.479] (II) modeset(0): Digital Display Input
[ 23903.479] (II) modeset(0): Max Image Size [cm]: horiz.: 55  vert.: 31
[ 23903.479] (II) modeset(0): Gamma: 2.20
[ 23903.479] (II) modeset(0): DPMS capabilities: StandBy Suspend Off
[ 23903.479] (II) modeset(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[ 23903.479] (II) modeset(0): Default color space is primary color space
[ 23903.479] (II) modeset(0): First detailed timing is preferred mode
[ 23903.479] (II) modeset(0): redX: 0.661 redY: 0.332   greenX: 0.302 greenY: 0.613
[ 23903.479] (II) modeset(0): blueX: 0.149 blueY: 0.060   whiteX: 0.313 whiteY: 0.329
[ 23903.479] (II) modeset(0): Supported established timings:
[ 23903.479] (II) modeset(0): 720x400@70Hz
[ 23903.479] (II) modeset(0): 640x480@60Hz
[ 23903.479] (II) modeset(0): 640x480@75Hz
[ 23903.479] (II) modeset(0): 800x600@60Hz
[ 23903.479] (II) modeset(0): 800x600@75Hz
[ 23903.479] (II) modeset(0): 1024x768@60Hz
[ 23903.479] (II) modeset(0): 1024x768@75Hz
[ 23903.479] (II) modeset(0): 1280x1024@75Hz
[ 23903.479] (II) modeset(0): Manufacturer's mask: 0
[ 23903.479] (II) modeset(0): Supported standard timings:
[ 23903.479] (II) modeset(0): #0: hsize: 1680  vsize 1050  refresh: 60  vid: 179
[ 23903.479] (II) modeset(0): #1: hsize: 1920  vsize 1200  refresh: 60  vid: 209
[ 23903.479] (II) modeset(0): #2: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[ 23903.479] (II) modeset(0): #3: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
[ 23903.479] (II) modeset(0): #4: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[ 23903.479] (II) modeset(0): #5: hsize: 1200  vsize 960  refresh: 60  vid: 32887
[ 23903.479] (II) modeset(0): Supported detailed timing:
[ 23903.479] (II) modeset(0): clock: 241.5 MHz   Image Size:  553 x 311 mm
[ 23903.479] (II) modeset(0): h_active: 2560  h_sync: 2608  h_sync_end 2640 h_blank_end 2720 h_border: 0
[ 23903.479] (II) modeset(0): v_active: 1440  v_sync: 1443  v_sync_end 1448 v_blanking: 1481 v_border: 0
[ 23903.479] (II) modeset(0): Serial No: 9X2VY74E08RL
[ 23903.479] (II) modeset(0): Monitor name: DELL U2515H
[ 23903.479] (II) modeset(0): Ranges: V min: 56 V max: 86 Hz, H min: 30 H max: 113 kHz, PixClock max 305 MHz
[ 23903.479] (II) modeset(0): Supported detailed timing:
[ 23903.479] (II) modeset(0): clock: 148.5 MHz   Image Size:  553 x 311 mm
[ 23903.479] (II) modeset(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[ 23903.479] (II) modeset(0): v_active: 1080  v_sync: 1082  v_sync_end 1087 v_blanking: 1125 v_border: 0
[ 23903.479] (II) modeset(0): Supported detailed timing:
[ 23903.479] (II) modeset(0): clock: 74.2 MHz   Image Size:  553 x 311 mm
[ 23903.480] (II) modeset(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[ 23903.480] (II) modeset(0): v_active: 540  v_sync: 542  v_sync_end 547 v_blanking: 562 v_border: 0
[ 23903.480] (II) modeset(0): Supported detailed timing:
[ 23903.480] (II) modeset(0): clock: 74.2 MHz   Image Size:  553 x 311 mm
[ 23903.480] (II) modeset(0): h_active: 1280  h_sync: 1390  h_sync_end 1430 h_blank_end 1650 h_border: 0
[ 23903.480] (II) modeset(0): v_active: 720  v_sync: 725  v_sync_end 730 v_blanking: 750 v_border: 0
[ 23903.480] (II) modeset(0): Supported detailed timing:
[ 23903.480] (II) modeset(0): clock: 27.0 MHz   Image Size:  553 x 311 mm
[ 23903.480] (II) modeset(0): h_active: 720  h_sync: 736  h_sync_end 798 h_blank_end 858 h_border: 0
[ 23903.480] (II) modeset(0): v_active: 480  v_sync: 489  v_sync_end 495 v_blanking: 525 v_border: 0
[ 23903.480] (II) modeset(0): Supported detailed timing:
[ 23903.480] (II) modeset(0): clock: 162.0 MHz   Image Size:  553 x 311 mm
[ 23903.480] (II) modeset(0): h_active: 2048  h_sync: 2074  h_sync_end 2154 h_blank_end 2250 h_border: 0
[ 23903.480] (II) modeset(0): v_active: 1152  v_sync: 1153  v_sync_end 1156 v_blanking: 1200 v_border: 0
[ 23903.480] (II) modeset(0): Number of EDID sections to follow: 1
[ 23903.480] (II) modeset(0): EDID (in hex):
[ 23903.480] (II) modeset(0):   00ffffffffffff0010ac70d04c523830
[ 23903.480] (II) modeset(0):   0f1b010380371f78ee4455a9554d9d26
[ 23903.480] (II) modeset(0):   0f5054a54b00b300d100714fa9408180
[ 23903.480] (II) modeset(0):   778001010101565e00a0a0a029503020
[ 23903.480] (II) modeset(0):   350029372100001a000000ff00395832
[ 23903.480] (II) modeset(0):   56593734453038524c0a000000fc0044
[ 23903.480] (II) modeset(0):   454c4c205532353135480a20000000fd
[ 23903.480] (II) modeset(0):   0038561e711e000a20202020202001f5
[ 23903.480] (II) modeset(0):   020322f14f1005040302071601141f12
[ 23903.480] (II) modeset(0):   13202122230907078301000065030c00
[ 23903.480] (II) modeset(0):   1000023a801871382d40582c25002937
[ 23903.480] (II) modeset(0):   2100001e011d8018711c1620582c2500
[ 23903.480] (II) modeset(0):   29372100009e011d007251d01e206e28
[ 23903.480] (II) modeset(0):   550029372100001e8c0ad08a20e02d10
[ 23903.480] (II) modeset(0):   103e9600293721000018483f00ca8080
[ 23903.480] (II) modeset(0):   30401a50130029372100001e000000ed
[ 23903.480] (II) modeset(0): Printing probed modes for output HDMI-1
[ 23903.480] (II) modeset(0): Modeline "2560x1440"x60.0  241.50  2560 2608 2640 2720  1440 1443 1448 1481 +hsync -vsync (88.8 kHz eP)
[ 23903.480] (II) modeset(0): Modeline "2048x1152"x60.0  162.00  2048 2074 2154 2250  1152 1153 1156 1200 +hsync +vsync (72.0 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1200"x60.0  154.00  1920 1968 2000 2080  1200 1203 1209 1235 +hsync -vsync (74.0 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x60.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x60.0  148.50  1920 2008 2052 2200  1080 1082 1087 1125 +hsync +vsync (67.5 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x50.0  148.50  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (56.2 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x59.9  148.35  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.4 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080i"x60.0   74.25  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (33.8 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080i"x50.0   74.25  1920 2448 2492 2640  1080 1084 1094 1125 interlace +hsync +vsync (28.1 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x30.0   74.25  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (33.8 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x25.0   74.25  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (28.1 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x24.0   74.25  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080i"x59.9   74.18  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (33.7 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x30.0   74.18  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (33.7 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1920x1080"x24.0   74.18  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1600x1200"x60.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[ 23903.480] (II) modeset(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1200x960"x60.0   95.40  1200 1272 1400 1600  960 961 964 994 -hsync +vsync (59.6 kHz)
[ 23903.481] (II) modeset(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1280x720"x60.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1280x720"x50.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1280x720"x59.9   74.18  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[ 23903.481] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[ 23903.481] (II) modeset(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[ 23903.481] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x576"x50.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x576i"x50.0   13.50  720 732 795 864  576 580 586 625 interlace -hsync -vsync (15.6 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x480"x60.0   27.03  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x480"x59.9   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x480i"x60.0   13.51  720 739 801 858  480 488 494 525 interlace -hsync -vsync (15.8 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x480i"x59.9   13.50  720 739 801 858  480 488 494 525 interlace -hsync -vsync (15.7 kHz e)
[ 23903.481] (II) modeset(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[ 23903.481] (II) modeset(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[ 23903.481] (II) modeset(0): EDID for output DP-1
[ 23903.481] (II) modeset(0): Output eDP-1 connected
[ 23903.481] (II) modeset(0): Output HDMI-1 connected
[ 23903.481] (II) modeset(0): Output DP-1 disconnected
[ 23903.481] (II) modeset(0): Using spanning desktop for initial modes
[ 23903.481] (II) modeset(0): Output eDP-1 using initial mode 1920x1080 +0+0
[ 23903.481] (II) modeset(0): Output HDMI-1 using initial mode 2560x1440 +1920+0
[ 23903.481] (==) modeset(0): Using gamma correction (1.0, 1.0, 1.0)
[ 23903.481] (==) modeset(0): DPI set to (96, 96)
[ 23903.481] (II) Loading sub module "fb"
[ 23903.481] (II) LoadModule: "fb"
[ 23903.481] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[ 23903.482] (II) Module fb: vendor="X.Org Foundation"
[ 23903.482]    compiled for 1.20.9, module version = 1.0.0
[ 23903.482]    ABI class: X.Org ANSI C Emulation, version 0.4
[ 23903.482] (II) UnloadModule: "scfb"
[ 23903.482] (II) Unloading scfb
[ 23903.482] (II) UnloadModule: "vesa"
[ 23903.482] (II) Unloading vesa
[ 23903.519] (==) modeset(0): Backing store enabled
[ 23903.519] (==) modeset(0): Silken mouse enabled
[ 23903.636] (II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
[ 23903.636] (==) modeset(0): DPMS enabled
[ 23903.636] (II) modeset(0): [DRI2] Setup complete
[ 23903.636] (II) modeset(0): [DRI2]   DRI driver: iris
[ 23903.636] (II) modeset(0): [DRI2]   VDPAU driver: va_gl
[ 23903.636] (II) Initializing extension Generic Event Extension
[ 23903.637] (II) Initializing extension SHAPE
[ 23903.637] (II) Initializing extension MIT-SHM
[ 23903.637] (II) Initializing extension XInputExtension
[ 23903.637] (II) Initializing extension XTEST
[ 23903.638] (II) Initializing extension BIG-REQUESTS
[ 23903.638] (II) Initializing extension SYNC
[ 23903.638] (II) Initializing extension XKEYBOARD
[ 23903.638] (II) Initializing extension XC-MISC
[ 23903.638] (II) Initializing extension SECURITY
[ 23903.639] (II) Initializing extension XFIXES
[ 23903.639] (II) Initializing extension RENDER
[ 23903.639] (II) Initializing extension RANDR
[ 23903.639] (II) Initializing extension COMPOSITE
[ 23903.640] (II) Initializing extension DAMAGE
[ 23903.640] (II) Initializing extension MIT-SCREEN-SAVER
[ 23903.640] (II) Initializing extension DOUBLE-BUFFER
[ 23903.640] (II) Initializing extension RECORD
[ 23903.640] (II) Initializing extension DPMS
[ 23903.640] (II) Initializing extension Present
[ 23903.641] (II) Initializing extension DRI3
[ 23903.641] (II) Initializing extension X-Resource
[ 23903.641] (II) Initializing extension XVideo
[ 23903.641] (II) Initializing extension XVideo-MotionCompensation
[ 23903.641] (II) Initializing extension GLX
[ 23903.649] (II) AIGLX: Loaded and initialized iris
[ 23903.649] (II) GLX: Initialized DRI2 GL provider for screen 0
[ 23903.649] (II) Initializing extension XFree86-VidModeExtension
[ 23903.649] (II) Initializing extension XFree86-DGA
[ 23903.649] (II) Initializing extension XFree86-DRI
[ 23903.649] (II) Initializing extension DRI2
[ 23903.650] (II) modeset(0): Damage tracking initialized
[ 23903.650] (II) modeset(0): Setting screen physical size to 1185 x 381
[ 23903.725] (II) config/udev: Adding input device System mouse (/dev/input/event0)
[ 23903.725] (**) System mouse: Applying InputClass "evdev pointer catchall"
[ 23903.725] (**) System mouse: Applying InputClass "libinput pointer catchall"
[ 23903.725] (II) LoadModule: "libinput"
[ 23903.725] (II) Loading /usr/local/lib/xorg/modules/input/libinput_drv.so
[ 23903.727] (II) Module libinput: vendor="X.Org Foundation"
[ 23903.727]    compiled for 1.20.9, module version = 0.30.0
[ 23903.727]    Module class: X.Org XInput Driver
[ 23903.727]    ABI class: X.Org XInput driver, version 24.1
[ 23903.727] (II) Using input driver 'libinput' for 'System mouse'
[ 23903.727] (**) System mouse: always reports core events
[ 23903.727] (**) Option "Device" "/dev/input/event0"
[ 23903.727] (**) Option "_source" "server/udev"
[ 23903.729] (II) event0  - System mouse: is tagged by udev as: Mouse
[ 23903.729] (II) event0  - System mouse: device is a pointer
[ 23903.729] (II) event0  - System mouse: device removed
[ 23903.729] (**) Option "config_info" "udev:/dev/input/event0"
[ 23903.729] (II) XINPUT: Adding extended input device "System mouse" (type: MOUSE, id 6)
[ 23903.729] (**) Option "AccelerationScheme" "none"
[ 23903.729] (**) System mouse: (accel) selected scheme none/0
[ 23903.729] (**) System mouse: (accel) acceleration factor: 2.000
[ 23903.729] (**) System mouse: (accel) acceleration threshold: 4
[ 23903.730] (II) event0  - System mouse: is tagged by udev as: Mouse
[ 23903.730] (II) event0  - System mouse: device is a pointer
[ 23903.730] (II) config/udev: Adding input device System keyboard multiplexer (/dev/input/event1)
[ 23903.730] (**) System keyboard multiplexer: Applying InputClass "evdev keyboard catchall"
[ 23903.730] (**) System keyboard multiplexer: Applying InputClass "Evdev keyboard"
[ 23903.730] (**) System keyboard multiplexer: Applying InputClass "libinput keyboard catchall"
[ 23903.730] (II) Using input driver 'libinput' for 'System keyboard multiplexer'
[ 23903.730] (**) System keyboard multiplexer: always reports core events
[ 23903.730] (**) Option "Device" "/dev/input/event1"
[ 23903.730] (**) Option "_source" "server/udev"
[ 23903.731] (II) event1  - System keyboard multiplexer: is tagged by udev as: Keyboard
[ 23903.731] (II) event1  - System keyboard multiplexer: device is a keyboard
[ 23903.731] (II) event1  - System keyboard multiplexer: device removed
[ 23903.732] (**) Option "config_info" "udev:/dev/input/event1"
[ 23903.732] (II) XINPUT: Adding extended input device "System keyboard multiplexer" (type: KEYBOARD, id 7)
[ 23903.732] (**) Option "xkb_rules" "evdev"
[ 23903.758] (II) event1  - System keyboard multiplexer: is tagged by udev as: Keyboard
[ 23903.758] (II) event1  - System keyboard multiplexer: device is a keyboard
[ 23903.759] (II) config/udev: Adding input device Control Method Lid Switch (/dev/input/event2)
[ 23903.759] (II) No input driver specified, ignoring this device.
[ 23903.759] (II) This device may have been added with another device file.
[ 23903.759] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[ 23903.759] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[ 23903.759] (**) Power Button: Applying InputClass "Evdev keyboard"
[ 23903.759] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[ 23903.759] (II) Using input driver 'libinput' for 'Power Button'
[ 23903.759] (**) Power Button: always reports core events
[ 23903.759] (**) Option "Device" "/dev/input/event3"
[ 23903.759] (**) Option "_source" "server/udev"
[ 23903.760] (II) event3  - Power Button: is tagged by udev as: Keyboard
[ 23903.760] (II) event3  - Power Button: device is a keyboard
[ 23903.760] (II) event3  - Power Button: device removed
[ 23903.760] (**) Option "config_info" "udev:/dev/input/event3"
[ 23903.760] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[ 23903.760] (**) Option "xkb_rules" "evdev"
[ 23903.760] (II) event3  - Power Button: is tagged by udev as: Keyboard
[ 23903.761] (II) event3  - Power Button: device is a keyboard
[ 23903.761] (II) config/udev: Adding input device AT keyboard (/dev/input/event4)
[ 23903.761] (**) AT keyboard: Applying InputClass "evdev keyboard catchall"
[ 23903.761] (**) AT keyboard: Applying InputClass "Evdev keyboard"
[ 23903.761] (**) AT keyboard: Applying InputClass "libinput keyboard catchall"
[ 23903.761] (II) Using input driver 'libinput' for 'AT keyboard'
[ 23903.761] (**) AT keyboard: always reports core events
[ 23903.761] (**) Option "Device" "/dev/input/event4"
[ 23903.761] (**) Option "_source" "server/udev"
[ 23903.761] (II) event4  - AT keyboard: is tagged by udev as: Keyboard
[ 23903.761] (II) event4  - AT keyboard: device is a keyboard
[ 23903.762] (II) event4  - AT keyboard: device removed
[ 23903.762] (**) Option "config_info" "udev:/dev/input/event4"
[ 23903.762] (II) XINPUT: Adding extended input device "AT keyboard" (type: KEYBOARD, id 9)
[ 23903.762] (**) Option "xkb_rules" "evdev"
[ 23903.762] (II) event4  - AT keyboard: is tagged by udev as: Keyboard
[ 23903.762] (II) event4  - AT keyboard: device is a keyboard
[ 23903.763] (II) config/udev: Adding input device Generic PS/2 mouse (/dev/input/event5)
[ 23903.763] (**) Generic PS/2 mouse: Applying InputClass "evdev pointer catchall"
[ 23903.763] (**) Generic PS/2 mouse: Applying InputClass "libinput pointer catchall"
[ 23903.763] (II) Using input driver 'libinput' for 'Generic PS/2 mouse'
[ 23903.763] (**) Generic PS/2 mouse: always reports core events
[ 23903.763] (**) Option "Device" "/dev/input/event5"
[ 23903.763] (**) Option "_source" "server/udev"
[ 23903.764] (II) event5  - Generic PS/2 mouse: is tagged by udev as: Mouse
[ 23903.764] (II) event5  - Generic PS/2 mouse: device is a pointer
[ 23903.764] (II) event5  - Generic PS/2 mouse: device removed
[ 23903.764] (**) Option "config_info" "udev:/dev/input/event5"
[ 23903.764] (II) XINPUT: Adding extended input device "Generic PS/2 mouse" (type: MOUSE, id 10)
[ 23903.764] (**) Option "AccelerationScheme" "none"
[ 23903.764] (**) Generic PS/2 mouse: (accel) selected scheme none/0
[ 23903.764] (**) Generic PS/2 mouse: (accel) acceleration factor: 2.000
[ 23903.764] (**) Generic PS/2 mouse: (accel) acceleration threshold: 4
[ 23903.765] (II) event5  - Generic PS/2 mouse: is tagged by udev as: Mouse
[ 23903.765] (II) event5  - Generic PS/2 mouse: device is a pointer
[ 23903.765] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event6)
[ 23903.765] (**) Logitech USB Receiver: Applying InputClass "evdev keyboard catchall"
[ 23903.765] (**) Logitech USB Receiver: Applying InputClass "Evdev keyboard"
[ 23903.765] (**) Logitech USB Receiver: Applying InputClass "libinput keyboard catchall"
[ 23903.765] (II) Using input driver 'libinput' for 'Logitech USB Receiver'
[ 23903.765] (**) Logitech USB Receiver: always reports core events
[ 23903.765] (**) Option "Device" "/dev/input/event6"
[ 23903.765] (**) Option "_source" "server/udev"
[ 23903.766] (II) event6  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: is tagged by udev as: Keyboard
[ 23903.766] (II) event6  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device is a keyboard
[ 23903.766] (II) event6  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device removed
[ 23903.766] (**) Option "config_info" "udev:/dev/input/event6"
[ 23903.766] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: KEYBOARD, id 11)
[ 23903.766] (**) Option "xkb_rules" "evdev"
[ 23903.767] (II) event6  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: is tagged by udev as: Keyboard
[ 23903.767] (II) event6  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device is a keyboard
[ 23903.767] (II) config/udev: Adding input device Yubico Yubikey NEO OTP+CCID (/dev/input/event7)
[ 23903.768] (**) Yubico Yubikey NEO OTP+CCID: Applying InputClass "evdev keyboard catchall"
[ 23903.768] (**) Yubico Yubikey NEO OTP+CCID: Applying InputClass "Evdev keyboard"
[ 23903.768] (**) Yubico Yubikey NEO OTP+CCID: Applying InputClass "libinput keyboard catchall"
[ 23903.768] (II) Using input driver 'libinput' for 'Yubico Yubikey NEO OTP+CCID'
[ 23903.768] (**) Yubico Yubikey NEO OTP+CCID: always reports core events
[ 23903.768] (**) Option "Device" "/dev/input/event7"
[ 23903.768] (**) Option "_source" "server/udev"
[ 23903.768] (II) event7  - Yubico Yubikey NEO OTP+CCID, class 0/0, rev 2.00/3.49, addr 5: is tagged by udev as: Keyboard
[ 23903.768] (II) event7  - Yubico Yubikey NEO OTP+CCID, class 0/0, rev 2.00/3.49, addr 5: device is a keyboard
[ 23903.769] (II) event7  - Yubico Yubikey NEO OTP+CCID, class 0/0, rev 2.00/3.49, addr 5: device removed
[ 23903.769] (**) Option "config_info" "udev:/dev/input/event7"
[ 23903.769] (II) XINPUT: Adding extended input device "Yubico Yubikey NEO OTP+CCID" (type: KEYBOARD, id 12)
[ 23903.769] (**) Option "xkb_rules" "evdev"
[ 23903.770] (II) event7  - Yubico Yubikey NEO OTP+CCID, class 0/0, rev 2.00/3.49, addr 5: is tagged by udev as: Keyboard
[ 23903.770] (II) event7  - Yubico Yubikey NEO OTP+CCID, class 0/0, rev 2.00/3.49, addr 5: device is a keyboard
[ 23903.770] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event8)
[ 23903.770] (**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
[ 23903.770] (**) Logitech USB Receiver: Applying InputClass "libinput pointer catchall"
[ 23903.770] (II) Using input driver 'libinput' for 'Logitech USB Receiver'
[ 23903.770] (**) Logitech USB Receiver: always reports core events
[ 23903.770] (**) Option "Device" "/dev/input/event8"
[ 23903.770] (**) Option "_source" "server/udev"
[ 23903.771] (II) event8  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: is tagged by udev as: Mouse
[ 23903.771] (II) event8  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device is a pointer
[ 23903.771] (II) event8  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device removed
[ 23903.771] (**) Option "config_info" "udev:/dev/input/event8"
[ 23903.771] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE, id 13)
[ 23903.771] (**) Option "AccelerationScheme" "none"
[ 23903.772] (**) Logitech USB Receiver: (accel) selected scheme none/0
[ 23903.772] (**) Logitech USB Receiver: (accel) acceleration factor: 2.000
[ 23903.772] (**) Logitech USB Receiver: (accel) acceleration threshold: 4
[ 23903.772] (II) event8  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: is tagged by udev as: Mouse
[ 23903.772] (II) event8  - Logitech USB Receiver, class 0/0, rev 2.00/12.11, addr 2: device is a pointer
[ 23903.837] (II) config/udev: Adding input device Sharp Corp.   12.5EA0003 (/dev/input/event9)
[ 23903.837] (**) Sharp Corp.   12.5EA0003: Applying InputClass "evdev touchscreen catchall"
[ 23903.837] (**) Sharp Corp.   12.5EA0003: Applying InputClass "libinput touchscreen catchall"
[ 23903.837] (II) Using input driver 'libinput' for 'Sharp Corp.   12.5EA0003'
[ 23903.837] (**) Sharp Corp.   12.5EA0003: always reports core events
[ 23903.837] (**) Option "Device" "/dev/input/event9"
[ 23903.837] (**) Option "_source" "server/udev"
[ 23904.016] (II) event9  - Sharp Corp.   12.5EA0003: is tagged by udev as: Touchscreen
[ 23904.016] (II) event9  - Sharp Corp.   12.5EA0003: device is a touch device
[ 23904.016] (II) event9  - Sharp Corp.   12.5EA0003: device removed
[ 23904.027] (**) Option "config_info" "udev:/dev/input/event9"
[ 23904.027] (II) XINPUT: Adding extended input device "Sharp Corp.   12.5EA0003" (type: TOUCHSCREEN, id 14)
[ 23904.027] (**) Option "AccelerationScheme" "none"
[ 23904.027] (**) Sharp Corp.   12.5EA0003: (accel) selected scheme none/0
[ 23904.027] (**) Sharp Corp.   12.5EA0003: (accel) acceleration factor: 2.000
[ 23904.027] (**) Sharp Corp.   12.5EA0003: (accel) acceleration threshold: 4
[ 23904.209] (II) event9  - Sharp Corp.   12.5EA0003: is tagged by udev as: Touchscreen
[ 23904.209] (II) event9  - Sharp Corp.   12.5EA0003: device is a touch device
[ 23905.303] (II) modeset(0): EDID vendor "JDI", prod id 5122
[ 23905.303] (II) modeset(0): Printing DDC gathered Modelines:
[ 23905.303] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[ 23905.303] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[ 25523.994] (EE) event4  - AT keyboard: client bug: event processing lagging behind by 1271310319ms, your system is too slow
Comment 23 Jan Beich freebsd_committer 2020-12-17 15:45:31 UTC
(In reply to Tomasz "CeDeROM" CEDRO from comment #22)
Can you try creating ~/.drirc with the following content? After that restart Enlightment.

<driconf>
    <device driver="iris">
        <application name="Enlightenment" executable="enlightenment">
            <option name="glx_extension_override" value="-GLX_EXT_buffer_age" />
            <option name="glx_disable_ext_buffer_age" value="true" />
        </application>
    </device>
</driconf>
Comment 24 Roman 2020-12-17 17:03:44 UTC
I created a file in ~/.drirc with the following content:

<driconf>
    <device driver="iris">
        <application name="kwin_x11" executable="kwin_x11">
            <!-- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251836 -->
            <option name="glx_extension_override" value="-GLX_EXT_buffer_age" />
            <!-- https://gitlab.freedesktop.org/mesa/mesa/-/commit/580fbbb59a60 -->
            <option name="glx_disable_ext_buffer_age" value="true" />
        </application>
    </device>
</driconf>

Switched to the modesetting driver:

[   148.846] (II) modeset(0): [DRI2] Setup complete
[   148.846] (II) modeset(0): [DRI2]   DRI driver: iris
[   148.846] (II) modeset(0): [DRI2]   VDPAU driver: va_gl

And kwin frozen:

kwin_x11 --replace
kwin_core: Compositing is not possible
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 2561, resource id: 29360260, major code: 18 (ChangeProperty), minor code: 0
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 2853, resource id: 83886134, major code: 3 (GetWindowAttributes), minor code: 0
OpenGL vendor string:                   Intel
OpenGL renderer string:                 Mesa Intel(R) UHD Graphics 620 (KBL GT2)
OpenGL version string:                  4.6 (Compatibility Profile) Mesa 20.2.3
OpenGL shading language version string: 4.60
Driver:                                 Intel
GPU class:                              Unknown
OpenGL version:                         4.6
GLSL version:                           4.60
Mesa version:                           20.2.3
X server version:                       1.20.9
Requires strict binding:                yes
GLSL shaders:                           yes
Texture NPOT support:                   yes
Virtual Machine:                        no
Freeze in OpenGL initialization detected
Application::crashHandler() called with signal 6; recent crashes: 1
QSocketNotifier: Invalid socket 10 with type Read, disabling...
QSocketNotifier: Invalid socket 13 with type Read, disabling...
Comment 25 Guido Kollerie 2020-12-18 09:49:22 UTC
(In reply to Roman from comment #24)

Running FreeBSD 12.2 on a Thinkpad T480 (i5-8250U CPU / UHD Graphics 620) using the modesetting driver I had the same issue running Plasma 5 after upgrading to mesa-libs-20.2.3.

However with ~/.drirc

<driconf>
    <device driver="iris">
        <application name="kwin_x11" executable="kwin_x11">
            <!-- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251836 -->
            <option name="glx_extension_override" value="-GLX_EXT_buffer_age" />
            <!-- https://gitlab.freedesktop.org/mesa/mesa/-/commit/580fbbb59a60 -->
            <option name="glx_disable_ext_buffer_age" value="true" />
        </application>
    </device>
</driconf>

Things work again. Thank you!
Comment 26 Guido Kollerie 2020-12-18 09:57:54 UTC
(In reply to Guido Kollerie from comment #25)
Which, now that I think about it, doesn't make any sense as the UHD 620 is not a Iris class GPU. Meaning the ~/.drirc (with line <device driver="iris">) should not matter. But somehow it does.
Comment 27 Guido Kollerie 2020-12-18 10:14:19 UTC
(In reply to Guido Kollerie from comment (In reply to Guido Kollerie from comment #25)
Re: works again

With the side note that rendering now happens with with visible artifacts while the screen updates. Eg when switching tabs in Firofox, switching to another application; the repainting is not as instantaneous/smooth as before.
Comment 28 Roman 2020-12-18 10:19:59 UTC
(In reply to Guido Kollerie from comment #25)

Hmm. I tried again to create the 01-freebsd.conf file, but in /usr/local/share/drirc.d After that, the modesetting driver and xf86-video-intel version 2.99.917.912_1,1 worked. If I create this file in ~ / .drirc, then for some reason it did not work for me.

I can't say anything about artifacts yet. At the moment I am using xf86-video-intel version 2.99.917.912_1,1, I'll see how it works.
Comment 29 oleg.nauman 2020-12-18 10:23:41 UTC
(In reply to Guido Kollerie from comment #26)

 It is

[   660.475] (II) modeset(0): glamor X acceleration enabled on Mesa Intel(R) UHD Graphics 620 (KBL GT2)
[   661.009] (II) modeset(0): [DRI2]   DRI driver: iris
[   661.043] (II) AIGLX: Loaded and initialized iris
Comment 30 Jan Beich freebsd_committer 2020-12-18 15:06:58 UTC
(In reply to Guido Kollerie from comment #26)
> UHD 620 is not a Iris class GPU

iris is also the name of Gallium-based OpenGL driver (still doesn't use LLVM ;) for Intel Gen8+ GPUs  (Broadwell and later). It has better compatibility and sometimes better performance. For example, Persona 5 (under RPCS3) has massive glitches with i965 but renders fine with iris. Other *modern* non-native games (under Wine, linuxulator, emulators) maybe affected as well.

Note, Gen12+ (Tigerlake and later) doesn't support i965 per https://gitlab.freedesktop.org/mesa/mesa/-/commit/107c22945fdc

(In reply to Roman from comment #28)
> If I create this file in ~/.drirc, then for some reason it did not work for me.

Maybe kwin_x11 is run under different user such as root. I already removed KDE, so can't check.
Comment 31 Tomasz "CeDeROM" CEDRO 2020-12-18 16:54:57 UTC
Please forgive me a small off topic regarding QT but 6 is already out :-)

https://www.qt.io/blog/qt-6.0-released
Comment 32 Tomasz "CeDeROM" CEDRO 2020-12-18 16:55:53 UTC
Another question: why Enligthenment stopped working while XFCE4 works fine?
Comment 33 commit-hook freebsd_committer 2020-12-24 04:22:51 UTC
A commit references this bug:

Author: jbeich
Date: Thu Dec 24 04:22:33 UTC 2020
New revision: 559047
URL: https://svnweb.freebsd.org/changeset/ports/559047

Log:
  graphics/mesa-dri: exclude buffer age on iris under kwin

  Freeze in OpenGL initialization detected

  PR:		251836
  Reported by:	Roman, Oleg Nauman, arrowd, Oleksandr Kryvulia
  Tested by:	arrowd, Roman
  Approved by:	manu

Changes:
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/files/01-freebsd.conf
  head/graphics/mesa-dri/pkg-plist
Comment 34 Jan Beich freebsd_committer 2020-12-24 04:24:05 UTC
2021Q1 is close, so I've landed the workaround for the high-profile regression:
- KDE cas was confirmed by many users with high certainty (also tested by myself)
- Cinnamon was confirmed but only by 1 person from the future (need more users or test it myself)
- Enlightment isn't confirmed yet to be due to iris + GLX_EXT_buffer_age
- GNOME maybe similar to Cinnamon but no one reported compositing issues so far
- XFCE probably doesn't use GLX_EXT_buffer_age

Charlie Li, can you file a new bug and attach a patch with what works for you? Also check if GLX_EXT_buffer_age can be disabled only for compositor itself (muffin) instead for the entire shell (cinnamon process).
Comment 35 Charlie Li freebsd_committer 2020-12-25 06:57:16 UTC
(In reply to Jan Beich from comment #34)
Muffin doesn't run in a Cinnamon session; instead the cinnamon binary links to libmuffin. The muffin binary is only a "sample WM binary", from the upstream description. Thus GLX_EXT_buffer_age has to apply to the cinnamon process. I will add that to 01-freebsd.conf for the overall Cinnamon update.
Comment 36 Tomasz "CeDeROM" CEDRO 2021-01-03 16:57:25 UTC
(In reply to Jan Beich from comment #23)

that does not help. however i can confirm disabling OpenGL acceleration in Engligthenment is a kind of quick fix :-)
Comment 37 Tomasz "CeDeROM" CEDRO 2021-01-03 18:34:58 UTC
(In reply to Tomasz "CeDeROM" CEDRO from comment #36)

In any case someone needs to tewak their Enlightenment configuration using shell so it does not use OpenGL engine:
1. Find your configuration profile (located in ~/.e/e/config/<profile> directory). It will be contained in ~/.e/e/config/profile.cfg file that you can view binary or display using `eet -x profile.cfg config` command.
2. Go to your profile directory and edit configuration with vi like eet editor `vieet e_comp.cfg config`, change `engine` setting to `0` so it looks like: `value "engine" int: 0;`.